failed build then no virtualpiano on standard package install

classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

failed build then no virtualpiano on standard package install

flitman
This post has NOT been accepted by the mailing list yet.
Hello,

Having tried and failed to build 0.9.3 on Ubuntu 16.04 with rtmidi and pythonQt support from source following https://github.com/CsoundQt/CsoundQt/wiki/Building-CsoundQt-for-Debian-with-QtCreator (see what QtCreator spat out at me in the attached file - and it did the same after installing python3.4 and gstreamer libraries). I reverted to the apt-get install (version 0.9.1) only to find the virtual piano window empty. Do I have any dependencies missing here for it to work? Or get the thing to work with an external midi controller? Does anyone have a .deb of 0.9.3 with these added features for easy install...it certainly ate a couple of afternoons trying to get it to work...

best
ian

build_failure.txt (449K) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Re: failed build then no virtualpiano on standard package install

flitman
This post has NOT been accepted by the mailing list yet.
I solved the non-appearance of the virtual keyboard issue by doing the following:

sudo apt-get install qtdeclarative5-dev qml-module-qtquick-controls

However, a pre-build for 0.9.3 for the world of ubuntu users would be great. Anyone?

best
ian